## ros-indigo-fetch-ikfast-plugin 0.7.15

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(fetch_ikfast_plugin)

find_package(catkin REQUIRED COMPONENTS
  moveit_core
  pluginlib
  roscpp
  tf_conversions
)

if(${moveit_core_VERSION_MINOR} GREATER 8)
  add_compile_options(-std=c++11)
endif()

include_directories(${catkin_INCLUDE_DIRS})

catkin_package(
  LIBRARIES
  CATKIN_DEPENDS
    moveit_core
    pluginlib
    roscpp
    tf_conversions
)

include_directories(include)

set(IKFAST_LIBRARY_NAME fetch_arm_moveit_ikfast_plugin)

find_package(LAPACK REQUIRED)

add_library(${IKFAST_LIBRARY_NAME} src/fetch_arm_ikfast_moveit_plugin.cpp)
target_link_libraries(${IKFAST_LIBRARY_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${LAPACK_LIBRARIES})

install(TARGETS ${IKFAST_LIBRARY_NAME} LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(
  FILES
  fetch_arm_moveit_ikfast_plugin_description.xml
  DESTINATION
  ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-fetch-ikfast-plugin (0.7.15-0trusty) trusty; urgency=high

  * [Docs] Add URL tags to package for wiki.ros.org (backport) (#91 <https://github.com/fetchrobotics/fetch_ros/issues/91>)
  * Contributors: Alexander Moriarty

 -- Russell Toris <rtoris@fetchrobotics.com>  Tue, 26 Mar 2019 07:00:00 -0000

ros-indigo-fetch-ikfast-plugin (0.7.14-0trusty) trusty; urgency=high

  * updates ownership
  * Contributors: Russell Toris

 -- Russell Toris <rtoris@fetchrobotics.com>  Tue, 10 Jul 2018 07:00:00 -0000

ros-indigo-fetch-ikfast-plugin (0.7.13-0trusty) trusty; urgency=high

  * use std::isnan for c++11 support
  * Contributors: Shingo Kitagawa

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 02 Nov 2017 07:00:00 -0000

ros-indigo-fetch-ikfast-plugin (0.7.12-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 02 Aug 2017 07:00:00 -0000

ros-indigo-fetch-ikfast-plugin (0.7.11-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 31 Jul 2017 07:00:00 -0000

ros-indigo-fetch-ikfast-plugin (0.7.10-0trusty) trusty; urgency=high

  * fix build with urdf on kinetic
  * update package.xmls, add depend on fetch_ikfast_plugin
  * get a version of ikfast plugin working on fetch
  * Contributors: Di Sun, Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 27 Oct 2016 07:00:00 -0000

ros-indigo-fetch-ikfast-plugin (0.7.9-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 26 Jul 2016 07:00:00 -0000

ros-indigo-fetch-ikfast-plugin (0.7.8-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 18 Jul 2016 07:00:00 -0000

ros-indigo-fetch-ikfast-plugin (0.7.7-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 20 Jun 2016 07:00:00 -0000

ros-indigo-fetch-ikfast-plugin (0.7.6-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 26 May 2016 07:00:00 -0000

ros-indigo-fetch-ikfast-plugin (0.7.5-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 08 May 2016 07:00:00 -0000

ros-indigo-fetch-ikfast-plugin (0.7.4-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 16 Mar 2016 07:00:00 -0000

ros-indigo-fetch-ikfast-plugin (0.7.3-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 05 Mar 2016 08:00:00 -0000

ros-indigo-fetch-ikfast-plugin (0.7.2-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 24 Feb 2016 08:00:00 -0000

ros-indigo-fetch-ikfast-plugin (0.7.1-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 20 Jan 2016 08:00:00 -0000

ros-indigo-fetch-ikfast-plugin (0.7.0-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 29 Sep 2015 07:00:00 -0000

ros-indigo-fetch-ikfast-plugin (0.6.2-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 30 Jul 2015 07:00:00 -0000

ros-indigo-fetch-ikfast-plugin (0.6.1-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 03 Jul 2015 07:00:00 -0000

ros-indigo-fetch-ikfast-plugin (0.6.0-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 24 Jun 2015 02:47:00 -0000

ros-indigo-fetch-ikfast-plugin (0.5.15-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 24 Jun 2015 02:44:00 -0000

ros-indigo-fetch-ikfast-plugin (0.5.14-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 19 Jun 2015 07:00:00 -0000

ros-indigo-fetch-ikfast-plugin (0.5.13-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 13 Jun 2015 07:00:00 -0000

ros-indigo-fetch-ikfast-plugin (0.5.12-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 12 Jun 2015 07:00:00 -0000

ros-indigo-fetch-ikfast-plugin (0.5.11-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 10 Jun 2015 07:00:00 -0000

ros-indigo-fetch-ikfast-plugin (0.5.10-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 07 Jun 2015 19:48:00 -0000

ros-indigo-fetch-ikfast-plugin (0.5.9-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 07 Jun 2015 19:28:00 -0000

ros-indigo-fetch-ikfast-plugin (0.5.8-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 07 Jun 2015 07:16:00 -0000

ros-indigo-fetch-ikfast-plugin (0.5.7-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 05 Jun 2015 07:00:00 -0000

ros-indigo-fetch-ikfast-plugin (0.5.6-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 04 Jun 2015 07:00:00 -0000

ros-indigo-fetch-ikfast-plugin (0.5.5-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 03 Jun 2015 07:00:00 -0000

ros-indigo-fetch-ikfast-plugin (0.5.4-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 09 May 2015 07:00:00 -0000

ros-indigo-fetch-ikfast-plugin (0.5.2-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 19 Apr 2015 07:00:00 -0000

ros-indigo-fetch-ikfast-plugin (0.5.1-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 09 Apr 2015 07:00:00 -0000

ros-indigo-fetch-ikfast-plugin (0.5.0-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 04 Apr 2015 07:00:00 -0000

ros-indigo-fetch-ikfast-plugin (0.4.2-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 24 Mar 2015 01:57:00 -0000

ros-indigo-fetch-ikfast-plugin (0.4.1-0trusty) trusty; urgency=high



=== debian/control ===
Source: ros-indigo-fetch-ikfast-plugin
Section: misc
Priority: extra
Maintainer: Russell Toris <rtoris@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), liblapack-dev, ros-indigo-catkin, ros-indigo-moveit-core, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-tf-conversions
Homepage: http://docs.fetchrobotics.com/manipulation.html
Standards-Version: 3.9.2

Package: ros-indigo-fetch-ikfast-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblapack-dev, ros-indigo-moveit-core, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-tf-conversions
Description: Kinematics plugin for Fetch robot, generated through IKFast

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-fetch-ikfast-plugin//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
